# Uses of Class
org.apache.wiki.auth.permissions.PagePermission

Packages that use PagePermission
Package
Description
org.apache.wiki.auth.permissions

## Uses of PagePermission in org.apache.wiki.auth.permissions

Fields in org.apache.wiki.auth.permissions declared as PagePermission
Modifier and Type
Field
Description
`static final PagePermission`
PagePermission.`COMMENT`
A static instance of the comment permission.
`static final PagePermission`
PagePermission.`DELETE`
A static instance of the delete permission.
`static final PagePermission`
PagePermission.`EDIT`
A static instance of the edit permission.
`static final PagePermission`
PagePermission.`MODIFY`
A static instance of the modify permission.
`static final PagePermission`
PagePermission.`RENAME`
A static instance of the rename permission.
`static final PagePermission`
PagePermission.`UPLOAD`
A static instance of the upload permission.
`static final PagePermission`
PagePermission.`VIEW`
A static instance of the view permission.
Methods in org.apache.wiki.auth.permissions that return PagePermission
Modifier and Type
Method
Description
`static PagePermission`
PermissionFactory.`getPagePermission(String page, String actions)`
Get a permission object for a WikiPage and a set of actions.
`static PagePermission`
PermissionFactory.`getPagePermission(org.apache.wiki.api.core.Page page, String actions)`
Get a permission object for a WikiPage and a set of actions.